专栏首页linux系统运维安装PHP5,安装PHP7

安装PHP5,安装PHP7

安装PHP5:

安装PHP之前需要把 Apache 安装好才可以。

cd /usr/local/src/ 

wget http://cn2.php.net/distributions/php-5.6.30.tar.gz      =PHP下载地址(如果失效,那么可以去r.aminglinux 下载最新版本,或者去官网找下载地址)

tar zxvf php-5.6.30.tar.gz    = 解压下载包

cd php-5.6.30   = 进入php目录

./configure --prefix=/usr/local/php --with-apxs2=/usr/local/apache2.4/bin/apxs --with-config-file-path=/usr/local/php/etc  --with-mysql=/usr/local/mysql --with-pdo-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config --with-libxml-dir --with-gd --with-jpeg-dir --with-png-dir --with-freetype-dir --with-iconv-dir --with-zlib-dir --with-bz2 --with-openssl --with-mcrypt --enable-soap --enable-gd-native-ttf --enable-mbstring --enable-sockets --enable-exif   = 安装编译文件   (会出现告错1,2,3,4,5,6,7)

 make && make install    = 继续安装

 cp php.ini-production /usr/local/php/etc/php.ini      =把production 拷贝到/usr/php/etc/下面

php主要目录 /usr/local/php/     如果需要重新编译那么直接把主目录删除即可

/usr/local/php/bin/php -m     查看 php 加载的模块,php加载的全部是静态模块

告错1

configure: error: xml2-config not found. Please check your libxml2 installation.

提示:缺少xml2模块

解决方案:

yum list | grep -i xml2     找到  libxml2-devel (64位系统或者32位系统的i686) 然后安装

告错2

configure: error: Cannot find OpenSSL's <evp.h>

解决方案:

yum install openssl openssl-devel

告错3

configure: error: Please reinstall the BZip2 distribution

解决方案:

yum install -y bzip2-devel

告错4

configure: error: jpeglib.h not found.

解决方案:

yum install -y libjpeg-devel

告错5

configure: error: png.h not found.

解决方案:

yum install -y libpng-devel

告错6

configure: error: freetype-config not found.

解决方案:

yum install -y freetype-devel

告错7

configure: error: mcrypt.h not found. Please reinstall libmcrypt.

解决方案:

如果系统里面没有 epel-release 扩展源需要先安装扩展源在安装包

yum install -y libmcrypt-devel

安装PHP7:

cd /usr/local/src/ 

wget http://cn2.php.net/distributions/php-7.1.6.tar.bz2     =下载PHP包

tar jxf php-7.1.6.tar.bz2       = 解压下载文件(bz2格式,可能会缺bzip2安装包下载一个即可)

cd php-7.1.6     =进入PHP7源码包目录

./configure --prefix=/usr/local/php7 --with-apxs2=/usr/local/apache2.4/bin/apxs --with-config-file-path=/usr/local/php7/etc --with-pdo-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config --with-libxml-dir --with-gd --with-jpeg-dir --with-png-dir --with-freetype-dir --with-iconv-dir --with-zlib-dir --with-bz2 --with-openssl --with-mcrypt --enable-soap --enable-gd-native-ttf --enable-mbstring --enable-sockets --enable-exif   =编译安装包

make && make install     = 继续安装

ls /usr/local/apache2.4/modules/libphp7.so     =查看apache调用的是php5还是php7

cp php.ini-production /usr/local/php7/etc/php.ini   =把production 拷贝到/usr/php7/etc/下面

/usr/local/php7/bin/php -m     查看php7加载的模块(和5加载的模块基本一致)

扩展

php中mysql,mysqli,mysqlnd,pdo到底是什么

http://blog.csdn.net/u013785951/article/details/60876816

查看编译参数 

http://ask.apelearn.com/question/1295

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

我来说两句

0 条评论
登录 后参与评论

相关文章

  • php-fpm的pool,php-fpm慢执行日志,open_basedir,php-fpm进程管理

    叶瑾
  • php扩展模块安装

    叶瑾
  • 访问日志不记录静态文件,访问日志切割,静态元素过期时间

    叶瑾
  • linux学习第三十七篇:安装PHP5,安装PHP7

    安装PHP5 PHP官网www.php.net 当前主流版本为5.6/7.1 进入放源码包的目录: cd /usr/local/src/ 下载php的源码...

    用户1215343
  • 安装 PHP5.6

    PHP 5 安装 : PHP官网: www.php.net 当前主流版本为5.6/7.1 按照约定,切换到下载目录,下载PHP 5.6 wget http://...

    老七Linux
  • CentOS 7 安装 PHP 7.4.0 正式版

    wget https://www.php.net/distributions/php-7.4.0.tar.bz2 tar -jxf php-7.4.0.tar....

    Alone88
  • Linux[CentOS]下编译安装Php7.3 步骤【附编译错误解决】

    上一篇讲了如何在Centos下编译安装nginx服务器,但是Nginx服务器目前只能当做静态服务器使用,也即只能展示前端静态页面,没有动态语言来结合。

    无道
  • 11.10/11.11/11.12 安装PHP5

    安装PHP5目录概要 PHP官网www.php.net 当前主流版本为5.6/7.1 cd /usr/local/src/ wget http://cn2.ph...

    运维小白
  • Linux系统下多版本php共存的解决方案(超简单)

    自php7问世,身为最新版本控的我马上升级体验,但是由于服务器上还有旧程序在运行,只好部署一个php多版本共存环境。

    砸漏
  • Linux基础(day41)

    11.10/11.11/11.12 安装PHP5 安装PHP5目录概要 PHP官网www.php.net 当前主流版本为5.6/7.1 cd /usr/loca...

    运维小白

扫码关注云+社区

领取腾讯云代金券